# Class IsXmrNodeOnlineRequest

#### Hierarchy

- unknown
  - IsXmrNodeOnlineRequest

- Defined in src/protobuf/grpc_pb.d.ts:1218
- Defined in src/protobuf/grpc_pb.d.ts:1227

#####
Index

### Constructors

constructor

### Methods

serializeBinary
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new IsXmrNodeOnlineRequest(): IsXmrNodeOnlineRequest

- #### Returns IsXmrNodeOnlineRequest

  Inherited from jspb.Message.constructor

## Methods

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:1219

### toObject

- toObject(includeInstance?: boolean): IsXmrNodeOnlineRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns IsXmrNodeOnlineRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1220

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): IsXmrNodeOnlineRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns IsXmrNodeOnlineRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1223

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: IsXmrNodeOnlineRequest, reader: BinaryReader): IsXmrNodeOnlineRequest

- #### Parameters

  - ##### message: IsXmrNodeOnlineRequest

  - ##### reader: BinaryReader

  #### Returns IsXmrNodeOnlineRequest

  - Defined in src/protobuf/grpc_pb.d.ts:1224

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: IsXmrNodeOnlineRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: IsXmrNodeOnlineRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:1222

### `Static` toObject

- toObject(includeInstance: boolean, msg: IsXmrNodeOnlineRequest): IsXmrNodeOnlineRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: IsXmrNodeOnlineRequest

  #### Returns IsXmrNodeOnlineRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:1221

Generated using TypeDoc